## GdlDockPaned GdlDockPaned — Arrange dock widget in two adjustable panes |

## Stability Level

Unstable, unless otherwise indicated

## Functions

GtkWidget * | gdl_dock_paned_new ()

## Properties

guint | position | Read / Write

## Types and Values

struct | GdlDockPaned

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GdlDockObject
                        ╰── GdlDockItem
                            ╰── GdlDockPaned

## Implemented Interfaces

GdlDockPaned implements AtkImplementorIface and GtkBuildable.

## Description

A GdlDockPaned is a compound dock widget. It can dock one or two children, including another compound widget like a GdlDockPaned or a GdlDockNotebook. The children are displayed in two panes using a GtkPaned widget. A GdlDockPaned is normally created automatically by the master when docking a child on any edge: top, bottom, left or right.

## Functions

### gdl_dock_paned_new ()

    GtkWidget *
    gdl_dock_paned_new (GtkOrientation orientation);

Creates a new manual GdlDockPaned widget. This function is seldom useful as such widget is normally created and destroyed automatically when needed by the master.

#### Parameters

orientation | the pane's orientation. |

#### Returns

a new GdlDockPaned.

## Types and Values

### struct GdlDockPaned

    struct GdlDockPaned;

## Property Details

### The `“position”` property

      “position”                 guint

Position of the divider in pixels.

Owner: GdlDockPaned

Flags: Read / Write

Allowed values: <= G_MAXINT

Default value: 0

## See Also

GdlDockNotebook, GdlDockMaster